Module jdk.compiler
Package com.sun.source.tree

# Interface GuardedPatternTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `PatternTreePREVIEW`, `Tree`

public interface GuardedPatternTree extends PatternTreePREVIEW
`GuardedPatternTree` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A guard pattern tree.

Since:
  17

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
The guard expression.
`PatternTreePREVIEW`
`getPattern()`
The guarded pattern expression.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getPattern

PatternTreePREVIEW getPattern()
The guarded pattern expression.

Returns:
  the guarded pattern

### getExpression

ExpressionTree getExpression()
The guard expression.

Returns:
  the guard expression